org.apache.trevni

## Class BZip2Codec

- java.lang.Object
- - org.apache.trevni.BZip2Codec

-     public class BZip2Codec
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BZip2Codec()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `computeOffset(ByteBuffer data)`
    `static org.apache.trevni.Codec` | `get(MetaData meta)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BZip2Codec

          public BZip2Codec()

  - ### Method Detail

    - #### get

          public static org.apache.trevni.Codec get(MetaData meta)

    - #### computeOffset

          protected static int computeOffset(ByteBuffer data)

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.